Page MenuHomePhabricator

Can't publish ContentTranslation pages from LTR to RTL in production
Closed, ResolvedPublic

Description

In the production cluster the Publish button doesn't become green when translating from an LTR language to an RTL language.

This is fixed on master, but broken now in production.

Should be fixed in SWAT if possible, but will probably be fixed in the train on Thursday.

Details

Related Gerrit Patches:
mediawiki/extensions/ContentTranslation : wmf/1.26wmf10Enable publish button when the preference is not to use initial translation
mediawiki/extensions/ContentTranslation : masterEnable publish button when the preference is not to use initial translation
mediawiki/extensions/ContentTranslation : wmf/1.26wmf11Enable publish button when the preference is not to use initial translation

Event Timeline

Amire80 created this task.Jun 23 2015, 4:09 PM
Amire80 raised the priority of this task from to Unbreak Now!.
Amire80 updated the task description. (Show Details)
Amire80 added subscribers: Amire80, KartikMistry, Arrbee, santhosh.
Restricted Application added a project: I18n. · View Herald TranscriptJun 23 2015, 4:09 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript

Change 220407 had a related patch set uploaded (by Santhosh):
Enable publish button when the preference is not use initial translation

https://gerrit.wikimedia.org/r/220407

santhosh claimed this task.Jun 24 2015, 5:51 AM

Change 220407 merged by jenkins-bot:
Enable publish button when the preference is not to use initial translation

https://gerrit.wikimedia.org/r/220407

Change 220429 had a related patch set uploaded (by KartikMistry):
Enable publish button when the preference is not to use initial translation

https://gerrit.wikimedia.org/r/220429

Change 220429 merged by jenkins-bot:
Enable publish button when the preference is not to use initial translation

https://gerrit.wikimedia.org/r/220429

Change 220436 had a related patch set uploaded (by KartikMistry):
Enable publish button when the preference is not to use initial translation

https://gerrit.wikimedia.org/r/220436

Change 220436 merged by KartikMistry:
Enable publish button when the preference is not to use initial translation

https://gerrit.wikimedia.org/r/220436

santhosh closed this task as Resolved.Jun 25 2015, 3:02 AM
Restricted Application added a subscriber: TerraCodes. · View Herald TranscriptMay 25 2018, 6:48 PM